Bug 4366 - COinS support for MARC21
Summary: COinS support for MARC21
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) normal (vote)
Assignee: Jared Camins-Esakov
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-02 08:02 UTC by Jared Camins
Modified: 2012-10-25 23:04 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch (1/3) adding support for other genres/formats in MARC21 (4.08 KB, patch)
2010-04-28 17:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Patch (2/3) adding support for other genres/formats in MARC21 (3.31 KB, patch)
2010-04-28 17:44 UTC, Chris Cormack
Details | Diff | Splinter Review
Patch (3/3) adding support for other genres/formats in MARC21 (1.48 KB, patch)
2010-04-28 17:47 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:26:19 UTC


---- Reported by camins@numismatics.org 2010-04-02 20:02:50 ----

Biblio::GetCOinSBiblio does not handle non-book formats when the MARC flavour is MARC21. Closely related to this, instead of always setting rft.btitle, rft.jtitle or rft.atitle should be set for journal records and analytic records, respectively. This issue appears in both 3.0.5 and 3.02-alpha.



---- Additional Comments From camins@numismatics.org 2010-04-28 17:44:05 ----

Created an attachment
Patch (1/3) adding support for other genres/formats in MARC21





---- Additional Comments From camins@numismatics.org 2010-04-28 17:44:29 ----

Created an attachment
Patch (2/3) adding support for other genres/formats in MARC21





---- Additional Comments From camins@numismatics.org 2010-04-28 17:47:11 ----

Created an attachment
Patch (3/3) adding support for other genres/formats in MARC21

These three patches add in support for genres/formats other than "book" in MARC21. The three patches should probably be combined into 1, but I was unable to figure out how to do that, and wanted to make sure that others had access to our changes.



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:26 UTC  ---

This bug was previously known as _bug_ 4366 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4366
Imported an attachment (id=2046)
Imported an attachment (id=2047)
Imported an attachment (id=2048)

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
The original submitter of attachment 2046 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2047 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.
The original submitter of attachment 2048 [details] [review] is unknown.
   Reassigning to the person who moved it here: chris@bigballofwax.co.nz.

Comment 1 Owen Leonard 2010-08-20 16:01:44 UTC
Removing PATCH-sent because I incorrectly assumed the patches had been sent to the patches list as well. jcamins can you do that?
Comment 2 Nicole C. Engard 2011-03-28 11:54:34 UTC
First patch signed off.
Comment 3 Jared Camins-Esakov 2011-03-28 17:20:34 UTC
The three patches were squashed into one, which is what Nicole signed off on.
Comment 4 Chris Cormack 2011-03-28 23:18:10 UTC
Pushed, please test
Comment 5 Jared Camins-Esakov 2011-07-08 14:36:04 UTC
COinS support is better now. Still insufficient in my view, but it is what it is, and it is unlikely this bug will be picked up again. Closing.